using System;
using System.Collections.Generic;

namespace Schedule
{
	public class ScheduleYotogi : ScheduleBase
	{
		public ScheduleYotogi(ScheduleType workType, Slot slot, int workId) : base(workType, slot, workId)
		{
			this.condInfo_ = new List<string>();
			List<string> condInfo = ScheduleCSVData.AllData[base.id].condInfo;
			for (int i = 0; i < condInfo.Count; i++)
			{
				this.condInfo_.Add(ScheduleAPI.InfoReplace(workId, condInfo[i]));
			}
			this.visible = ScheduleAPI.VisibleNightWork(base.id, slot.maid, true);
			this.enabled = ScheduleAPI.EnableNightWork(base.id, slot.maid, true, false);
			if (this.legacyDisable)
			{
				this.visible = false;
			}
		}

		public string info
		{
			get
			{
				return ScheduleCSVData.AllData[base.id].information;
			}
		}

		public List<string> condInfo
		{
			get
			{
				return this.condInfo_;
			}
		}

		public bool visible = true;

		public List<string> condInfo_;
	}
}
